通常,我们在需要安装pip包的时候,只会运行pip install xxxxx就好了,其实,这样做后,pip会默认将xxx包装到~/usr/lib/pythonxxx/site-packages/下,由于pip并没有conda那样强大的包管理能力,所以如果我们安装了多个python版本,那么如果要指定安装到某个python版本时,可以这样做:

pip install xxxx --target=/user/local/lib/pythonxxx/site-packages/


或者,在~/下创建一个名为.pydistutils.cfg的文件,并在其中添加:

[install]
install_lib = ~/usr/lib/pythonxxx/site-packages
install_scripts = ~/usr/bin
install_data = ~/usr/share


[顺便提一下] : 如果想使用国内镜像下载包,可以用:

pip -i https://pypi.tuna.tsinghua.edu.cn/simple install xxxx


也可以直接在.pydistutils.cfg中添加以下内容,就不用每次都输入同样的url了:

index_url = https://pypi.tuna.tsinghua.edu.cn/simple


也可以在~/.pip/pip.conf中添加:

[global]
index-url = https://pypi.tuna.tsinghua.edu.cn/simple


如果要更新安装包,可用用:

pip install --upgrade >=


查看pip包的位置,用pip show xxxxx
[补充]: 如果是要查看linux下某个文件的位置,用locate xxxx
如果要更新pip,针对不同的python版本,有如下更新方式:
python3: python3 -m pip install --upgrade pip
python2: python -m pip install --upgrade pip


扫一扫 分享收藏

称呼:

*评论内容:



「 提交 」

ABOUT |  TAGS |  MAP |  ANALYSIS |  CLIP |  CHAT

Copyright © 2021 shaowenhao.com,All Rights Reserved.

Designed & Powered By shaowenhao.com

admin@shaowenhao.com

辽ICP备15001991号-1